# eric4.VCS.vcsCVS.CvsStatusMonitorThread

Module implementing the VCS status monitor thread class for CVS.

### Classes

CvsStatusMonitorThread | Class implementing the VCS status monitor thread class for Subversion.

### Functions

None

## CvsStatusMonitorThread

Class implementing the VCS status monitor thread class for Subversion.

### Derived from

VcsStatusMonitorThread

### Methods

CvsStatusMonitorThread | Constructor
_performMonitor | Protected method implementing the monitoring action.

#### CvsStatusMonitorThread (Constructor)

CvsStatusMonitorThread(interval, projectDir, parent = None)

Constructor

interval
  new interval in seconds (integer)
projectDir
  project directory to monitor (string or QString)
parent
  reference to the parent object (QObject)

#### CvsStatusMonitorThread._performMonitor

_performMonitor()

Protected method implementing the monitoring action.

This method populates the statusList member variable with a list of strings giving the status in the first column and the path relative to the project directory starting with the third column. The allowed status flags are:

- "A" path was added but not yet comitted
  "M" path has local changes
  "U" path needs an update
  "Z" path contains a conflict
  " " path is back at normal

Returns:
  tuple of flag indicating successful operation (boolean) and a status message in case of non successful operation (QString)

Up